Loading...
Searching...
No Matches
juce::WebComboBoxParameterAttachment Class Reference

## Detailed Description

An object of this class maintains a connection between a WebComboBoxRelay and a plug-in parameter.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a WebComboBoxRelay to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and WebComboBoxRelay are not deleted before this object!

The documentation for this class was generated from the following file:

- juce_audio_processors/utilities/juce_ParameterAttachments.h

Inheritance diagram for juce::WebComboBoxParameterAttachment:

## Public Member Functions

| WebComboBoxParameterAttachment (RangedAudioParameter &parameterIn, WebComboBoxRelay &combo, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a WebComboBoxRelay.
| ~WebComboBoxParameterAttachment () override
| Destructor.
void | sendInitialUpdate ()
| Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

## Constructors and Destructors

## WebComboBoxParameterAttachment()

juce::WebComboBoxParameterAttachment::WebComboBoxParameterAttachment | ( | RangedAudioParameter & | parameterIn,
|  | WebComboBoxRelay & | combo,
|  | UndoManager * | undoManager = nullptr )

Creates a connection between a plug-in parameter and a WebComboBoxRelay.

Parameters

  parameterIn | The parameter to use
  combo | The WebComboBoxRelay to use
  undoManager | An optional UndoManager

## ~WebComboBoxParameterAttachment()

juce::WebComboBoxParameterAttachment::~WebComboBoxParameterAttachment | ( |  | ) |

override

Destructor.

## Member Functions

## sendInitialUpdate()

void juce::WebComboBoxParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited